Qt Utilities: QtUtilities::ChecklistItem Class Reference

Qt Utilities 6.21.3 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
QtUtilities::ChecklistItem Class Reference

`#include <checklistmodel.h>`

## Public Member Functions
| ChecklistItem (const QVariant &id=QVariant(), const QString &label=QString(), Qt::CheckState checked=Qt::Unchecked)
const QVariant & | id () const
| Returns the ID of the item.
const QString & | label () const
| Returns the label.
Qt::CheckState | checkState () const
| Returns the check state.
bool | isChecked () const
| Returns whether the item is checked.

## Friends
class | ChecklistModel

## Detailed Description

Definition at line 15 of file checklistmodel.h.

## Constructor & Destructor Documentation

## ◆ ChecklistItem()

QtUtilities::ChecklistItem::ChecklistItem | ( | const QVariant & | id = QVariant(),
|  | const QString & | label = QString(),
|  | Qt::CheckState | checked = Qt::Unchecked )
| inline

Definition at line 32 of file checklistmodel.h.

## Member Function Documentation

## ◆ checkState()

Qt::CheckState QtUtilities::ChecklistItem::checkState | ( |  | ) | const
| inline

Returns the check state.

Definition at line 58 of file checklistmodel.h.

## ◆ id()

const QVariant & QtUtilities::ChecklistItem::id | ( |  | ) | const
| inline

Returns the ID of the item.

Definition at line 42 of file checklistmodel.h.

## ◆ isChecked()

bool QtUtilities::ChecklistItem::isChecked | ( |  | ) | const
| inline

Returns whether the item is checked.

Definition at line 67 of file checklistmodel.h.

## ◆ label()

const QString & QtUtilities::ChecklistItem::label | ( |  | ) | const
| inline

Returns the label.

Definition at line 50 of file checklistmodel.h.

## Friends And Related Symbol Documentation

## ◆ ChecklistModel

friend class ChecklistModel
| friend

Definition at line 16 of file checklistmodel.h.

The documentation for this class was generated from the following file:

- models/checklistmodel.h